ID-card reader not working

Forum rules
Before you post please read how to get help

ID-card reader not working

Postby Steven_S on Sun Apr 13, 2014 3:49 am

Hi everyone,

I am setting up a computer with Mint 13 "Maya" xfce edition, to replace the WinXP installation of my (technically challenged) neighbours. I'm only slightly more knowledgeable myself, but I can follow instructions :-).

One of the "must-haves" here in Estonia is a working smart card reader, which we use with the government issues ID-cards. We use these things for tax declarations, everyday banking, ... If I can't get that to work, I need to find another distribution.

The authorities here offer an install script (https://installer.id.ee/media/install-s ... -ubuntu.sh), which I have adapted on the instruction of a helpful user (the modification is that the OPSYS variable points to the Ubuntu repo "precise" instead of to the non-existing repo Maya).

pcscd is running, and the necessary adaptations are made to Firefox.

However, when I run the utility that is officially provided (qesteidutil), it tells me that there is no card reader detected. In the terminal, the message "Virtual void QSmartcard::run () PSCSManager failure" appears.

The utility itself offers the following details:

Locale (time-, number format / codepage): English / en_US.UTF-8

Base version: 3.8.0.1398-ubuntu-12-04
Application version: 3.8.0.1106
OS: Linux Mint 13 Maya
CPU: AMD Athlon(tm) II X2 240e Processor
Kernel: Linux 3.2.0-60-generic #91-Ubuntu SMP Wed Feb 19 03:55:18 UTC 2014 i686

Arguments: qesteidutil
Library paths: /usr/lib/i386-linux-gnu/qt4/plugins;/usr/bin
Libraries:
libdigidoc2 (3.8.0.1133-ubuntu-12-04)
libdigidocpp0 (3.8.0.1208-ubuntu-12-04)
qdigidoc (3.8.1.1250-ubuntu-12-04)
qesteidutil (3.8.0.1106-ubuntu-12-04)
openssl (1.0.1-4ubuntu5.12)
libpcsclite1 (1.7.4-2ubuntu2)
opensc (0.12.2-2ubuntu2-1-ubuntu-12-04)
QT (4.8.1)

Smart Card service status: Running
Card readers:
No readers found

Browsers:
chromium-browser (33.0.1750.152-0ubuntu0.12.04.1~pkg879.1)
firefox (28.0+build2-0ubuntu0.12.04.1)

USB info:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 004: ID 076b:1021 OmniKey AG CardMan 1021
Bus 002 Device 005: ID 045e:0084 Microsoft Corp. Basic Optical Mouse


Does anyone have any idea what is going wrong?
Steven_S
Level 1
Level 1
 
Posts: 5
Joined: Fri May 08, 2009 6:05 am

Linux Mint is funded by ads and donations.
 

Re: ID-card reader not working

Postby Steven_S on Mon Apr 14, 2014 2:09 am

I do not understand why exactly, but now it works (Mint 13 "Maya", based on Ubuntu 12.04 "precise").

The only thing I did differently this time is to allow "unsafe" updates, in a bid to get the newest Ubuntu stuff. Previously, I had only applied the "safe" updates. Maybe there is some better hardware support in the newer updates.

What made me try that is that Mint 16 "Petra" (based on Ubuntu 13-10 "saucy") did work out of the box. I do however want to stick to the LTS version, if at all possible.

The next thing on my wishlist would be to add ID-card functionality to Chrome. And I would also like to know if I should switch level 4 and 5 updates off, or leave them as they are.
Steven_S
Level 1
Level 1
 
Posts: 5
Joined: Fri May 08, 2009 6:05 am


Return to XFCE

Who is online

Users browsing this forum: No registered users and 6 guests